/*
 *  siminf, a framework for stochastic disease spread simulations
 *  Copyright (C) 2015  Pavol Bauer
 *  Copyright (C) 2015  Stefan Engblom
 *  Copyright (C) 2015  Stefan Widgren
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef INCLUDE_SIMINF_VEC_H
#define INCLUDE_SIMINF_VEC_H

/* Dynamic integer vector */
struct siminf_vec {
    int *buf;
    size_t size;
    size_t capacity;
} siminf_vec;

#define SIMINF_VEC_INIT {NULL, 0, 0}

void siminf_vec_free(struct siminf_vec *vector);
int siminf_vec_push_back(struct siminf_vec *vector, int value);
int siminf_vec_reserve(struct siminf_vec *vector, size_t capacity);

#endif
